{
  name: "Wish Reaper",
  rating: 3,
  num: -2012,
  flags: {},
  onSwitchOut(pokemon) {
    const opponent = pokemon.side.foe.active[0];
    if (opponent && !opponent.fainted && opponent.volatiles['substitute'] === undefined) {
      this.boost({ spa: -1 }, opponent, pokemon, null, true);
      this.add('-ability', pokemon, 'Wish Reaper');
      this.add('-message', `${opponent.name}'s Special Attack fell due to Wish Reaper!`);
    }
  }
}
